4 Replies Latest reply on Mar 23, 2005 7:48 PM by Joshua Groom

    using java 1.3 client with jboss

    Joshua Groom Newbie

      Hi,
      We have a legacy application that uses java 1.3 and talks to jboss. We have recently upgraded to jboss 4 and found that the application no longer works.

      I get this exception:
      java.lang.UnsupportedClassVersionError: org/jboss/logging/Logger (Unsupported major.minor version 48.0)
      at java.lang.ClassLoader.defineClass0(Native Method)
      at java.lang.ClassLoader.defineClass(ClassLoader.java:488)
      at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:106)
      at java.net.URLClassLoader.defineClass(URLClassLoader.java:243)
      at java.net.URLClassLoader.access$100(URLClassLoader.java:51)
      at java.net.URLClassLoader$1.run(URLClassLoader.java:190)
      at java.security.AccessController.doPrivileged(Native Method)
      at java.net.URLClassLoader.findClass(URLClassLoader.java:183)
      at java.lang.ClassLoader.loadClass(ClassLoader.java:294)
      at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:288)
      at java.lang.ClassLoader.loadClass(ClassLoader.java:250)
      at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:310)
      at org.jnp.interfaces.NamingContext.(NamingContext.java:101)
      at org.jnp.interfaces.NamingContextFactory.getInitialContext(NamingContextFactory.java:41)
      at javax.naming.spi.NamingManager.getInitialContext(NamingManager.java:660)
      at javax.naming.InitialContext.getDefaultInitCtx(InitialContext.java:241)
      at javax.naming.InitialContext.init(InitialContext.java:217)
      at javax.naming.InitialContext.(InitialContext.java:193)
      at nz.govt.ird.irfile.helpers.JBossHelper.getInitialContext(JBossHelper.java:178)
      at nz.govt.ird.irfile.helpers.JBossHelper.getIrGLSAdminSession(JBossHelper.java:199)
      at nz.govt.ird.irfile.helpers.JBossHelper.resetPassword(JBossHelper.java:120)
      at nz.govt.ird.irfile.helpers.JBossHelperTest.main(JBossHelperTest.java:33)

      When trying to use the client. The client is running the 1.3 jvm whereas the jbossall-client.jar library is compile for 1.4. I assume this is the problem, if so is there a version of the jbossall-client.jar that can run on the 1.3 jvm?